Subject: [TOOLS-DEVELOPMENT] Tools Call Notes - 14 April 2020

From: Liz Flynn <[email-masked]>
Date: Thu, 16 Apr 2020 10:52:55 -0700

Tools Call Notes -- 14 April 2020 at 1:00 Eastern

1. Hot Topics

Russ: I've noticed a lot of discussion about Etherpad. Is that sorted?

Glen: Not necessarily sorted, but the people in the discussion are happy. For now, it's stable, but it's still on my radar for future upgrading. 

  - Are tools issues blocking any documents?

Alice: The release that happened this morning should release the documents that are awaiting publication. 

John: We'll need to reconstruct some PDFs. Since they're not canonical it's okay, but I wanted to give a heads up that we will be doing it. 

  - Are there any priority tool changes needed?

Roman: We likely will need tools support if we do Nomcom differently. Trying to get the document sorted out about what happened with 107 and after we close consensus on that we'll have a better sense. 

Robert: There has been quite a lot of activity on supporting virtual meetings and increased use of interims. The Upcoming Meetings page now looks more like a regular agenda page. The rate of requests to support interims has gone down. We are talking with Meetecho about better integration between datatracker, registration system, and Meetecho, to better support Meetecho use in virtual interim meetings. 

Roman: Phenomenal work on the upcoming meetings page, it's very helpful. 

2. Development Projects
  - Contracted projects progress update and immediate plans

- IOLA has given a first pass at a better version of meeting schedule editing interface. We need to retest it and if it passes Robert will set up an instance for the Secretariat to start exploring. 

- Dashcare is done with part 1 of the automated schedule builder. Waiting to kick off part 2; Jay will work with them on a contract for part 2.
  Russ: Was Part 2 not awarded?
  Robert: Parts 1 and 2 were awarded but part 1 came from the 2019 budget and part 2 will come from 2020. 

- ZX Security has the tools they need to do code review. They will not be testing against the production system; they are going to test against their own instance they set up. 

  - Volunteer projects progress update and immediate plans

Henrik is well underway to drop Python 2 support in the datatracker.  After finishing Python 2 Henrik's next step will be moving to Django 2.0. After that we can do work to support Meetecho integration. 

Website repairs have been completed. We are removing a transcoder that was used to downconvert the custom javascript torchbox built for the site to something IE 11 (of the time) worked better with.

3. Operations Projects
  - Projects progress update and immediate plans

Glen: None right now. Nginx is something on my mind to work on. I'm not aware of any reason to wait for anyone else before I try to stage a generic instance of it. In an ordinary world, I think it would happen in the next month, but don't want to make any promises.

4. Planning for upcoming projects

  - SoW under development
  - RFP progress update
  - Planning for sizable volunteer projects

None at this time.

5. Are there any unmet needs?
  - Open discussion

Robert: Re: CodiMD, I propose we set up some instances of this for testing. I will spin up something and let groups use it if they want. 

6. Is the new agenda outline an improvement?

Seems to work well for everyone; we'll keep using this and refine as needed.

AOB

Call time -- We will shift the call time later so that Jay can join.

Liz Flynn
Project Manager / IETF
[email-masked]